=== debian/changelog ===
lilv (0.14.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Add mechanism to repack the upstream tarball.
  * Refresh patches.
  * Refresh debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Aug 2012 15:14:03 +0200
