=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libjack-dev,
 libserd-dev (>= 0.14.0~),
 libsord-dev (>= 0.8.0~),
 libsratom-dev,
 lv2-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3),
 swig
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/lilv/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git

Package: liblilv-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: python-lilv
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Provides:
 ${python:Provides}
Description: library for simple use of LV2 plugins (Python bindings)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the Python bindings.

Package: liblilv-dev
Section: libdevel
Architecture: any
Depends:
 liblilv-0-0 (= ${binary:Version}),
 libserd-dev (>= 0.14.0~),
 libsord-dev (>= 0.8.0~),
 libsratom-dev,
 lv2-dev,
 ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an LV2 plugin.
  * lv2ls - List all installed LV2 plugins.
