## lilv 0.16.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,29 +1,22 @@
 #!/usr/bin/env python
 import os
+import subprocess
 import sys
-import subprocess
-
-from waflib.extras import autowaf as autowaf
 import waflib.Options as Options
-
-# Version of this package (even if built as a child)
-LILV_VERSION       = '0.14.4'
-LILV_MAJOR_VERSION = '0'
-
-# Library version (UNIX style major, minor, micro)
+import waflib.extras.autowaf as autowaf
+
+# Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-# Lilv uses the same version number for both library and package
-LILV_LIB_VERSION = LILV_VERSION
-
-# Variables for 'waf dist'
-APPNAME = 'lilv'
-VERSION = LILV_VERSION
-
-# Mandatory variables
-top = '.'
-out = 'build'
+LILV_VERSION       = '0.16.0'
+LILV_MAJOR_VERSION = '0'
+
+# Mandatory waf variables
+APPNAME = 'lilv'        # Package name for waf dist
+VERSION = LILV_VERSION  # Package version for waf dist
+top     = '.'           # Source directory
+out     = 'build'       # Build directory
 
 def options(opt):
     opt.load('compiler_c')
@@ -84,9 +77,9 @@
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.8.0', mandatory=True)
+                      atleast_version='0.12.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
-                      atleast_version='0.2.0', mandatory=True)
+                      atleast_version='0.4.0', mandatory=True)
 
     autowaf.define(conf, 'LILV_NEW_LV2', 1)  # New LV2 discovery API
 
@@ -155,8 +148,7 @@
                                            '/usr/local/%s/lv2' % libdirname])
     autowaf.define(conf, 'LILV_DEFAULT_LV2_PATH', lv2_path)
 
-    conf.env.LIB_LILV = ['lilv-%s' % LILV_MAJOR_VERSION]
-
+    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION)
     conf.write_config_header('lilv_config.h', remove=False)
 
     autowaf.display_msg(conf, 'Default LV2_PATH',
@@ -237,12 +229,12 @@
                   includes        = ['.', './src'],
                   name            = 'liblilv',
                   target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_LIB_VERSION,
+                  vnum            = LILV_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
                   cflags          = libflags,
                   lib             = lib)
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     # Static library
     if bld.env.BUILD_STATIC:
@@ -252,10 +244,10 @@
                   includes        = ['.', './src'],
                   name            = 'liblilv_static',
                   target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_LIB_VERSION,
+                  vnum            = LILV_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['LILV_INTERNAL'])
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     if bld.env.BUILD_TESTS:
         test_libs   = lib
@@ -301,8 +293,9 @@
                   defines      = defines + ['LILV_INTERNAL'],
                   cflags       = test_cflags,
                   lib          = test_libs)
-        autowaf.use_lib(bld, obj, 'SORD SRATOM LV2')
+        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
         # Unit test program
         bpath = os.path.abspath(os.path.join(out, 'test', 'test_plugin.lv2'))
         bpath = bpath.replace('\\', '/')
+        obj = bld(features     = 'c cprogram',
