=== debian/changelog ===
lilv (0.16.0~dfsg0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Needs sord >= 0.12.0.
  * Needs sratom >= 0.4.0.
  * Refresh {,Build}-Depends fields according to the most recent API changes.
  * Refresh patches.
  * Add patch to prevent build failure.
  * Update symbols file.
  * Bump Standards.
  * Refresh copyright.

  [ Jaromír Mikeš ]
  * Added myself as uploader

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 17:07:00 +0100
