=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
- libserd-dev (>= 0.14.0~),
- libsord-dev (>= 0.8.0~),
- libsratom-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~),
+ libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
  python-all-dev (>= 2.6.6-3),
  swig
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -57,9 +58,9 @@
 Architecture: any
 Depends:
  liblilv-0-0 (= ${binary:Version}),
- libserd-dev (>= 0.14.0~),
- libsord-dev (>= 0.8.0~),
- libsratom-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~),
+ libsratom-dev (>= 0.4.0~),
  lv2-dev,
  ${misc:Depends}
 Description: library for simple use of LV2 plugins (development files)
