## lilv 0.18.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,15 +1,18 @@
 #!/usr/bin/env python
 import os
+import shutil
 import subprocess
 import sys
 import waflib.Options as Options
 import waflib.extras.autowaf as autowaf
+import waflib.Build as Build
+import waflib.Logs as Logs
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.16.0'
+LILV_VERSION       = '0.18.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -55,7 +58,7 @@
             conf.check_python_headers()
             autowaf.define(conf, 'LILV_PYTHON', 1);
         except:
-            pass
+            Logs.warn('Failed to configure Python (%s)\n' % sys.exc_info()[1])
 
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
@@ -73,7 +76,7 @@
         conf.fatal('Neither a shared nor a static build requested')
 
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.0.0', mandatory=True)
+                      atleast_version='1.8.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
@@ -296,6 +299,4 @@
         autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
         # Unit test program
-        bpath = os.path.abspath(os.path.join(out, 'test', 'test_plugin.lv2'))
-        bpath = bpath.replace('\\', '/')
-        obj = bld(features     = 'c cprogram',
+        blddir = autowaf.build_dir(APPNAME, 'test')
