=== debian/changelog ===
lilv (0.18.0~dfsg0-2) unstable; urgency=medium

  * Team upload
  * Drop 9001-bindings.patch (merged upstream) (Closes: #747680)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 May 2014 14:20:48 +0200

lilv (0.18.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned watch file to work with repacking scripts.
  * Added repacking scripts.
  * Set compat 9.
  * Bump Standards.
  * Patches refreshed.

  [ Alessio Treglia ]
  * Don't build python bindings anymore until upstream has solved the
    build failure.
  * Drop build-dependency on swig.
  * Refresh debian/copyright.
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 11:34:33 +0100
