=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,23 @@
 
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
-PYVERS=$(shell pyversions -s)
 
 %:
-	dh $@ --with python2
+	dh $@
 
 override_dh_auto_configure:
+	$(WAF) configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--strict \
+		--debug \
+		--dyn-manifest
+
 override_dh_auto_build:
+	$(WAF)
+
 override_dh_auto_install:
-	for pyver in $(PYVERS); do \
-		PYTHON="$$pyver" $(WAF) configure \
-				--prefix=/usr \
-				--mandir=/usr/share/man \
-				--strict \
-				--debug \
-				--bindings \
-				--dyn-manifest && \
-		PYTHON="$$pyver" $(WAF) && \
-		PYTHON="$$pyver" $(WAF) install -f --destdir=$(CURDIR)/debian/tmp ; \
-	done
+	$(WAF) install -f --destdir=$(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	$(WAF) clean || true
