## lilv 0.20.0~dfsg0

=== debian/changelog ===
lilv (0.20.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned get-orig-source.
  * Removed old repack script.
  * Remove --debug from configure to cppflags be passed.

  [ Alessio Treglia ]
  * Update symbols file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 19 Aug 2014 15:44:39 +0100
