=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--strict \
-		--debug \
 		--dyn-manifest
 
 override_dh_auto_build:
@@ -43,3 +42,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.bz2 ../$(pkg)_$(dfsg_version).orig.tar.bz2
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
