## lilv 0.20.0%7edfsg0

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
- python-all-dev (>= 2.6.6-3),
- swig
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+ python
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -34,24 +32,6 @@
  and have minimal dependencies.
  .
  This package provides the shared library.
-
-Package: python-lilv
-Section: python
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Provides:
- ${python:Provides}
-Description: library for simple use of LV2 plugins (Python bindings)
- Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
- LV2 Plugins as simple as possible (without sacrificing capabilities).
- .
- Lilv is the successor to SLV2, rewritten to be significantly faster
- and have minimal dependencies.
- .
- This package provides the Python bindings.
 
 Package: liblilv-dev
 Section: libdevel
