## lilv 0.22.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.18.0'
+LILV_VERSION       = '0.22.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -20,6 +20,13 @@
 VERSION = LILV_VERSION  # Package version for waf dist
 top     = '.'           # Source directory
 out     = 'build'       # Build directory
+
+test_plugins = ['missing_descriptor',
+                'missing_plugin',
+                'missing_name',
+                'missing_port_name',
+                'lib_descriptor',
+                'failed_lib_descriptor']
 
 def options(opt):
     opt.load('compiler_c')
@@ -34,6 +41,8 @@
                    help='Build support for dynamic manifests')
     opt.add_option('--test', action='store_true', dest='build_tests',
                    help='Build unit tests')
+    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
+                   help='Do not use gcov for code coverage')
     opt.add_option('--no-bash-completion', action='store_true',
                    dest='no_bash_completion',
                    help='Do not install bash completion script in CONFIGDIR')
@@ -80,21 +89,16 @@
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.12.0', mandatory=True)
+                      atleast_version='0.13.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                       atleast_version='0.4.0', mandatory=True)
 
-    autowaf.define(conf, 'LILV_NEW_LV2', 1)  # New LV2 discovery API
-
     defines = ['_POSIX_C_SOURCE', '_BSD_SOURCE']
-    if Options.platform == 'darwin':
+    if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
 
-    # Check for gcov library (for test coverage)
-    if conf.env.BUILD_TESTS:
-        conf.check_cc(lib='gcov',
-                      define_name='HAVE_GCOV',
-                      mandatory=False)
+    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
+        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
 
     conf.check_cc(function_name='flock',
                   header_name='sys/file.h',
@@ -122,7 +126,7 @@
 
     lilv_path_sep = ':'
     lilv_dir_sep  = '/'
-    if sys.platform == 'win32':
+    if conf.env.DEST_OS == 'win32':
         lilv_path_sep = ';'
         lilv_dir_sep = '\\\\'
 
@@ -132,16 +136,16 @@
     # Set default LV2 path
     lv2_path = Options.options.default_lv2_path
     if lv2_path == '':
-        if Options.platform == 'darwin':
+        if conf.env.DEST_OS == 'darwin':
             lv2_path = lilv_path_sep.join(['~/Library/Audio/Plug-Ins/LV2',
                                            '~/.lv2',
                                            '/usr/local/lib/lv2',
                                            '/usr/lib/lv2',
                                            '/Library/Audio/Plug-Ins/LV2'])
-        elif Options.platform == 'haiku':
+        elif conf.env.DEST_OS == 'haiku':
             lv2_path = lilv_path_sep.join(['~/.lv2',
                                            '/boot/common/add-ons/lv2'])
-        elif Options.platform == 'win32':
+        elif conf.env.DEST_OS == 'win32':
             lv2_path = lilv_path_sep.join(['%APPDATA%\\\\LV2',
                                            '%COMMONPROGRAMFILES%\\\\LV2'])
         else:
@@ -176,6 +180,7 @@
               target       = name,
               defines      = defines,
               install_path = '${BINDIR}')
+    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
     if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
         obj.use = 'liblilv_static'
     if bld.env.STATIC_PROGS:
@@ -190,11 +195,6 @@
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
     bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
     bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))
-
-    # Pkgconfig file
-    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
-                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
-                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0'})
 
     lib_source = '''
         src/collections.c
@@ -216,13 +216,19 @@
     lib      = ['dl']
     libflags = ['-fvisibility=hidden']
     defines  = []
-    if sys.platform == 'win32':
+    if bld.env.DEST_OS == 'win32':
         lib = []
     if bld.env.MSVC_COMPILER:
         libflags = []
         defines  = ['snprintf=_snprintf']
-    elif sys.platform.find('bsd') > 0:
+    elif bld.env.DEST_OS.find('bsd') > 0:
         lib = []
+
+    # Pkgconfig file
+    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
+                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
+                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0',
+                      'LILV_PKG_LIBS'      : ' -l'.join([''] + lib)})
 
     # Shared Library
     if bld.env.BUILD_SHARED:
@@ -267,36 +273,26 @@
         penv.cshlib_PATTERN   = shlib_pattern
         shlib_ext = shlib_pattern[shlib_pattern.rfind('.'):]
 
-        obj = bld(features     = 'c cshlib',
-                  env          = penv,
-                  source       = 'test/test_plugin.c',
-                  name         = 'test_plugin',
-                  target       = 'test/test_plugin.lv2/test_plugin',
-                  install_path = None,
-                  defines      = defines,
-                  cflags       = test_cflags,
-                  lib          = test_libs,
-                  uselib       = 'LV2')
-
-        # Test plugin data files
-        for i in [ 'manifest.ttl.in', 'test_plugin.ttl.in' ]:
-            bld(features     = 'subst',
-                source       = 'test/' + i,
-                target       = 'test/test_plugin.lv2/' + i.replace('.in', ''),
-                install_path = None,
-                SHLIB_EXT    = shlib_ext)
-
-        # Static profiled library (for unit test code coverage)
-        obj = bld(features     = 'c cstlib',
-                  source       = lib_source,
-                  includes     = ['.', './src'],
-                  name         = 'liblilv_profiled',
-                  target       = 'lilv_profiled',
-                  install_path = None,
-                  defines      = defines + ['LILV_INTERNAL'],
-                  cflags       = test_cflags,
-                  lib          = test_libs)
-        autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
-
-        # Unit test program
-        blddir = autowaf.build_dir(APPNAME, 'test')
+        for p in ['test'] + test_plugins:
+            obj = bld(features     = 'c cshlib',
+                      env          = penv,
+                      source       = 'test/%s.lv2/%s.c' % (p, p),
+                      name         = p,
+                      target       = 'test/%s.lv2/%s' % (p, p),
+                      install_path = None,
+                      defines      = defines,
+                      cflags       = test_cflags,
+                      lib          = test_libs,
+                      uselib       = 'LV2')
+
+        for p in test_plugins:
+            obj = bld(features     = 'c cprogram',
+                      source       = 'test/%s.lv2/test_%s.c' % (p, p),
+                      target       = 'test/test_%s' % p,
+                      includes     = ['.', './src'],
+                      use          = 'liblilv_profiled',
+                      install_path = None,
+                      defines      = defines,
+                      cflags       = test_cflags,
+                      lib          = test_libs,
+                      uselib       = 'LV2')
