=== debian/changelog ===
lilv (0.22.0~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.22.0~dfsg0
  * Refresh patches.
  * Tighten deps.
  * Bump Standards.
  * Install upstream changelog.
  * Make watch file more flexible.
  * Build parallel.
  * Update symbols file.
  * Update copyright file.
  * Install bash completion to new dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 15 Oct 2015 09:26:22 +0200
