=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
- libserd-dev (>= 0.18.0~),
- libsord-dev (>= 0.12.0~),
+ libserd-dev (>= 0.22.0~),
+ libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://drobilla.net/software/lilv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
@@ -38,8 +38,8 @@
 Architecture: any
 Depends:
  liblilv-0-0 (= ${binary:Version}),
- libserd-dev (>= 0.18.0~),
- libsord-dev (>= 0.12.0~),
+ libserd-dev (>= 0.22.0~),
+ libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
  lv2-dev,
  ${misc:Depends}
