=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 WAF = ./waf
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	$(WAF) configure \
@@ -29,6 +29,9 @@
 	rm -rf build .waf*
 	dh_auto_clean
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 # get-orig-source to drop waf
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=.
