## lilv 0.24.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.22.0'
+LILV_VERSION       = '0.24.0'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -21,28 +21,31 @@
 top     = '.'           # Source directory
 out     = 'build'       # Build directory
 
-test_plugins = ['missing_descriptor',
-                'missing_plugin',
-                'missing_name',
-                'missing_port_name',
-                'lib_descriptor',
-                'failed_lib_descriptor']
+test_plugins = [
+    'bad_syntax',
+    'failed_instantiation',
+    'failed_lib_descriptor',
+    'lib_descriptor',
+    'missing_descriptor',
+    'missing_name',
+    'missing_plugin',
+    'missing_port',
+    'missing_port_name',
+    'new_version',
+    'old_version'
+]
 
 def options(opt):
     opt.load('compiler_c')
     opt.load('compiler_cxx')
     opt.load('python')
-    autowaf.set_options(opt)
+    autowaf.set_options(opt, test=True)
     opt.add_option('--no-utils', action='store_true', dest='no_utils',
                    help='Do not build command line utilities')
     opt.add_option('--bindings', action='store_true', dest='bindings',
                    help='Build python bindings')
     opt.add_option('--dyn-manifest', action='store_true', dest='dyn_manifest',
                    help='Build support for dynamic manifests')
-    opt.add_option('--test', action='store_true', dest='build_tests',
-                   help='Build unit tests')
-    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
-                   help='Do not use gcov for code coverage')
     opt.add_option('--no-bash-completion', action='store_true',
                    dest='no_bash_completion',
                    help='Do not install bash completion script in CONFIGDIR')
@@ -61,7 +64,6 @@
 
     if Options.options.bindings:
         try:
-            conf.load('swig')
             conf.load('python')
             conf.load('compiler_cxx')
             conf.check_python_headers()
@@ -74,7 +76,6 @@
     autowaf.display_header('Lilv Configuration')
 
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
-    conf.env.BUILD_TESTS     = Options.options.build_tests
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
     conf.env.STATIC_PROGS    = Options.options.static_progs
@@ -85,20 +86,19 @@
         conf.fatal('Neither a shared nor a static build requested')
 
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.8.0', mandatory=True)
+                      atleast_version='1.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                       atleast_version='0.13.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                       atleast_version='0.4.0', mandatory=True)
-
-    defines = ['_POSIX_C_SOURCE', '_BSD_SOURCE']
+    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
+                      atleast_version='1.0.0', mandatory=False)
+
+    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE']
     if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
-
-    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
-        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
 
     conf.check_cc(function_name='flock',
                   header_name='sys/file.h',
@@ -114,11 +114,15 @@
 
     conf.check_cc(function_name='clock_gettime',
                   header_name=['sys/time.h','time.h'],
-                  defines=['_POSIX_C_SOURCE=199309L'],
+                  defines=['_POSIX_C_SOURCE=200809L'],
                   define_name='HAVE_CLOCK_GETTIME',
                   uselib_store='CLOCK_GETTIME',
                   lib=['rt'],
                   mandatory=False)
+
+    conf.check_cc(define_name   = 'HAVE_LIBDL',
+                  lib           = 'dl',
+                  mandatory     = False)
 
     autowaf.define(conf, 'LILV_VERSION', LILV_VERSION)
     if Options.options.dyn_manifest:
@@ -172,7 +176,7 @@
     conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++
     print('')
 
-def build_util(bld, name, defines):
+def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
               includes     = ['.', './src', './utils'],
@@ -180,7 +184,7 @@
               target       = name,
               defines      = defines,
               install_path = '${BINDIR}')
-    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
+    autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2 ' + libs)
     if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
         obj.use = 'liblilv_static'
     if bld.env.STATIC_PROGS:
@@ -213,16 +217,16 @@
         src/zix/tree.c
     '''.split()
 
-    lib      = ['dl']
+    lib      = []
     libflags = ['-fvisibility=hidden']
     defines  = []
+    if bld.is_defined('HAVE_LIBDL'):
+        lib    += ['dl']
     if bld.env.DEST_OS == 'win32':
         lib = []
     if bld.env.MSVC_COMPILER:
         libflags = []
         defines  = ['snprintf=_snprintf']
-    elif bld.env.DEST_OS.find('bsd') > 0:
-        lib = []
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
@@ -259,11 +263,12 @@
         autowaf.use_lib(bld, obj, 'SERD SORD SRATOM LV2')
 
     if bld.env.BUILD_TESTS:
-        test_libs   = lib
-        test_cflags = ['']
-        if bld.is_defined('HAVE_GCOV'):
-            test_libs   += ['gcov']
-            test_cflags += ['-fprofile-arcs', '-ftest-coverage']
+        test_libs      = lib
+        test_cflags    = ['']
+        test_linkflags = ['']
+        if not bld.env.NO_COVERAGE:
+            test_cflags    += ['--coverage']
+            test_linkflags += ['--coverage']
 
         # Test plugin library
         penv          = bld.env.derive()
@@ -282,10 +287,14 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
+                      linkflags    = test_linkflags,
                       lib          = test_libs,
                       uselib       = 'LV2')
 
         for p in test_plugins:
+            if not bld.path.find_node('test/%s.lv2/test_%s.c' % (p, p)):
+                continue
+
             obj = bld(features     = 'c cprogram',
                       source       = 'test/%s.lv2/test_%s.c' % (p, p),
                       target       = 'test/test_%s' % p,
@@ -294,5 +303,4 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
-                      lib          = test_libs,
-                      uselib       = 'LV2')
+                      linkflags    = test_linkflags,
