=== debian/changelog ===
lilv (0.24.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.0~dfsg0
  * Patch refreshed.
  * Patch disabled.
  * Tighten B-D lv2-dev.
  * Bump Standards.
  * Fix VCS fields.
  * Update symbols file.
  * Fix some hardening.
  * Add B-D libsndfile1-dev.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 13:20:16 +0200
