=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
 Build-Depends:
  debhelper (>= 9),
  libjack-dev,
+ libsndfile1-dev,
  libserd-dev (>= 0.22.0~),
  libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
- lv2-dev,
+ lv2-dev (>= 1.14.0~),
  pkg-config,
  python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/lilv/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lilv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lilv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/lilv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/lilv.git
 
 Package: liblilv-0-0
 Architecture: any
