## lilv 0.24.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.0'
+LILV_VERSION       = '0.24.2'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -96,7 +96,7 @@
     autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
                       atleast_version='1.0.0', mandatory=False)
 
-    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE']
+    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE', '_DEFAULT_SOURCE']
     if conf.env.DEST_OS == 'darwin':
         defines += ['_DARWIN_C_SOURCE']
 
@@ -303,4 +303,3 @@
                       install_path = None,
                       defines      = defines,
                       cflags       = test_cflags,
-                      linkflags    = test_linkflags,
