=== debian/changelog ===
lilv (0.24.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.2~dfsg0
  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Jan 2017 22:14:34 +0100
