=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,14 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export LINKFLAGS += $(LDFLAGS)
+
 WAF = ./waf
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	$(WAF) configure \
